/*
    Situare - A location system for Facebook
    Copyright (C) 2010  Ixonos Plc. Authors:

        Sami Rämö - sami.ramo@ixonos.com
        Jussi Laitinen - jussi.laitinen@ixonos.com

    Situare is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

    Situare is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Situare; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    USA.
*/

#ifndef GPSCOMMON_H
#define GPSCOMMON_H

#include <QObject>

const int GPS_ACCURACY_UNDEFINED = -1; ///< Value used when accuracy is undefined
const int GPS_COORDINATE_UNDEFINED = -1000; ///< Value used when coordinate is undefined

const qreal GPS_MAX_LATITUDE = 85.05112877980659237802;  ///< Maximum latitude value
const qreal GPS_MIN_LATITUDE = -GPS_MAX_LATITUDE; ///< Minimum latitude value
const qreal GPS_MIN_LONGITUDE = -180.0;  ///< Minimum longitude value
const qreal GPS_MAX_LONGITUDE = 180.0;  ///< Maximum longitude value

#endif // GPSCOMMON_H
