/*
   Situare - A location system for Facebook
   Copyright (C) 2010  Ixonos Plc. Authors:

       Ville Tiensuu - ville.tiensuu@ixonos.com

   Situare is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   version 2 as published by the Free Software Foundation.

   Situare is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Situare; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
   USA.
*/


#ifndef OWNLOCATIONITEM_H
#define OWNLOCATIONITEM_H

#include <QGraphicsPixmapItem>
#include "mapcommon.h"
#include "baselocationitem.h"

/**
* @brief Class that shows own location icon on the map
*
* @class OwnLocationItem ownlocationitem.h "map/ownlocationitem.h"
* @author Ville Tiensuu
*/
class OwnLocationItem : public BaseLocationItem
{
public:
    /**
    * @brief Constructor of OwnLocationItem.
    *        Loads and sets default pixmap that is show on the map.
    *        Sets default Z-value.
    *        Sets offset so that achor of the picture is at the origin. this feature is
    *        needed to center icon on the middle of the location.
    *        Sets item to ignore transformations. this feature is needed to make icon on the map
    *        immune to scaling
    */
    OwnLocationItem();
};

#endif // OWNLOCATIONITEM_H
