/*
    Situare - A location system for Facebook
    Copyright (C) 2010  Ixonos Plc. Authors:

        Pekka Nissinen - pekka.nissinen@ixonos.com

    Situare is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

    Situare is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Situare; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    USA.
*/

#include <QDebug>
#include <QPainter>
#include <QPalette>
#include <QRect>

#include "sidepanelbase.h"

SidePanelBase::SidePanelBase(QWidget *parent) :
    QWidget(parent)
{
    qDebug() << __PRETTY_FUNCTION__;

    m_menuDropShadowTile.load(":res/images/menu_bar_drop_shadow.png");

    QPalette pal = palette();
    pal.setColor(QPalette::Background, QColor(0, 0, 0, 128));
    setPalette(pal);
    setAutoFillBackground(true);
}

void SidePanelBase::paintEvent(QPaintEvent *)
{
    qDebug() << __PRETTY_FUNCTION__;

    QPainter painter(this);

    QRect shadowRect = QRect(0, 0, this->rect().width(), m_menuDropShadowTile.height());
    painter.drawTiledPixmap(shadowRect, m_menuDropShadowTile);
}
